Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Interface CoreShout3DViewer

All Known Subinterfaces:
  Shout3DViewer

public abstract interface CoreShout3DViewer

An interface which must implemented by a Core Viewer.

Method Summary
`Clock` | `getClock()` Gets this viewer's Clock
`Bindable` | `getCurrentBindableNode(java.lang.String typeName)` Returns a reference to the currently bound node of the given type.
`DeviceListener` | `getDeviceListener()` Gets this viewer's DeviceListener
`Picker` | `getNewPicker()` Gets a new Picker
`Searcher` | `getNewSearcher()` Gets a new Searcher
`Node` | `getNodeByName(java.lang.String nodeName)` Gets a Node by it's DEF Name Returns null if no node is found with the given name
`java.lang.String` | `getProfile()` Gets a string denoting the profile of the current scene.
`Renderer` | `getRenderer()` Gets this viewer's Renderer
`ResourceListener` | `getResourceListener()` Gets this viewer's ResourceListener
`Group` | `getScene()` Gets the scene in the Viewer
`java.lang.String` | `getVersion()` Gets a string denoting the version of this viewer.
`void` | `loadURL(java.lang.String[] url, Node root)` Reads the the file referred to by the given URL and sets the passed root parameter to be the root of the scene in that file.
`void` | `setScene(Group root)` Replaces the scene in the Viewer
`void` | `setSceneFromURL(java.lang.String[] url)` Loads the scene from the file referred to by the given URL.

Method Detail

### getRenderer

    public Renderer getRenderer()

  Gets this viewer's Renderer
  Returns:
    the renderer

### getClock

    public Clock getClock()

  Gets this viewer's Clock
  Returns:
    the clock

### getNewPicker

    public Picker getNewPicker()

  Gets a new Picker
  Returns:
    the Picker

### getNewSearcher

    public Searcher getNewSearcher()

  Gets a new Searcher
  Returns:
    the Searcher

### getDeviceListener

    public DeviceListener getDeviceListener()

  Gets this viewer's DeviceListener
  Returns:
    the DeviceListener

### getResourceListener

    public ResourceListener getResourceListener()

  Gets this viewer's ResourceListener
  Returns:
    the ResourceListener

### getNodeByName

    public Node getNodeByName(java.lang.String nodeName)

  Gets a Node by it's DEF Name Returns null if no node is found with the given name
  Returns:
    the Node

### loadURL

    public void loadURL(java.lang.String[] url,
                        Node root)
                 throws Shout3DException

  Reads the the file referred to by the given URL and sets the passed root parameter to be the root of the scene in that file. Throws an exception if a scene can not be loaded from this URL. Registered ResourceObservers will be notified, through their onLoadDone method, once the scene is completely loaded. The passed root parameter is not guaranteed to contain the new scene until after the onLoadDone method has been called.
  Parameters:
    `url` - the URL to load
    `root` - the node in which to place the scene once loaded

### setSceneFromURL

    public void setSceneFromURL(java.lang.String[] url)
                         throws Shout3DException

  Loads the scene from the file referred to by the given URL. Throws an exception if a scene can not be loaded from this URL. Registered ResourceObservers will be notified, through their onLoadDone method, once the scene is completely loaded. The viewer's scene is not guaranteed to contain the new scene until after the onLoadDone method has been called
  Parameters:
    `url` - the URL to load

### setScene

    public void setScene(Group root)

  Replaces the scene in the Viewer
  Parameters:
    `root` - the root of the new scene

### getScene

    public Group getScene()

  Gets the scene in the Viewer
  Returns:
    the root of the scene

### getProfile

    public java.lang.String getProfile()

  Gets a string denoting the profile of the current scene. The format of the returned string is yet to be specified.
  Returns:
    the profile string

### getVersion

    public java.lang.String getVersion()

  Gets a string denoting the version of this viewer. The format of the returned string is yet to be specified.
  Returns:
    the version string

### getCurrentBindableNode

    public Bindable getCurrentBindableNode(java.lang.String typeName)
                                    throws Shout3DException

  Returns a reference to the currently bound node of the given type. Takes a string specifying a subclass of Bindable node as input. Throws an exception if the input type is not a bindable class of node
  Returns:
    the currently bound node of the specified type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD